Jump to content

[1.1.2] Kerbal Attachment System (KAS) 0.5.8


Recommended Posts

So, I'm currently having a problem where I cannot unlock parts in the R&D center after installing the mod, and parts that should be added by things like contracts are not showing up. Only happens after installing KAS. Anyone else have this happen?

KAS uses ModuleManager to alter stock parts. I suspect you have a duplicate copy of KAS in your install. Duplicates of the same parts can cause them to not unlock and you'll end up with multiple copies in your tech tree.

Link to post
Share on other sites
KAS uses ModuleManager to alter stock parts. I suspect you have a duplicate copy of KAS in your install. Duplicates of the same parts can cause them to not unlock and you'll end up with multiple copies in your tech tree.

Just checked, no duplicated install. Just the one.

Link to post
Share on other sites
now if i could convince steam to stop updating automatically on me, i'd be happier.

Yeah sadly Steam only has options for Always Update, or Update on Launch.

Best way is to copy the game out of your Steam folder to a new location.

If you want Steam to continue to keep track of it though, you can just change the launch options to point it to the new copy you have saved off. If you want these options, I can post them up :)

Link to post
Share on other sites
.25 has been out less then a day. Let the modders test. awesome will flow.

I have seen this post on multiple mod threads. Awesome only flows after we ask questions and find answers. The modders themselves don't necessarily need to intervene in order for us to find awesomeness.

Link to post
Share on other sites
I have seen this post on multiple mod threads. Awesome only flows after we ask questions and find answers. The modders themselves don't necessarily need to intervene in order for us to find awesomeness.

If you really believe this, then submit pull requests.

Modders are aware that KSP is out. Some mods take longer than others to update. KAS has a large support net, so it will be updated soon either way. Have patience.

Link to post
Share on other sites
If you really believe this, then submit pull requests.

Modders are aware that KSP is out. Some mods take longer than others to update. KAS has a large support net, so it will be updated soon either way. Have patience.

I am in no rush, just trying to stick up for people who are asking about compatibility while pointing out that the community can test compatibility too. Some mods will work without the modder having to make a new release. Thus yes, I do believe my statement.

Link to post
Share on other sites
I am in no rush, just trying to stick up for people who are asking about compatibility while pointing out that the community can test compatibility too. Some mods will work without the modder having to make a new release. Thus yes, I do believe my statement.

so there are three options, 1) Be Patient and polite (see Majiir's recommendations) 2) Help (see github) or 3) get out of the way (see Wheaton's Law)

Link to post
Share on other sites
1) Be Patient and polite

So far, I haven't seen anybody being impatient or impolite here, at least in this particular thread. Nobody is saying 'give me the update now!'. They've politely asked if the current version is compatible with 0.25. This is a reasonable question, given that there's likely to be someone who's actually tried running the mod in 0.25. Keep an open mind, and don't let those who have been rude (be it in other threads or previous updates) bias you against simple questions.

Link to post
Share on other sites
Just letting y'all know that KAS 0.4.8 is non-compatible with KSP version 0.25.0. At least, the game didn't like it when I tried to fire it up with KAS installed.

The compatibility checker that pops up right as the main menu shows up doesn't necessarily mean much. The game's just checking the version of the game that the mod said it was compatible with when it was released. It's entirely possible that the mod will function fine with the new version of KSP, it's just giving you a heads up that it might not.

Link to post
Share on other sites
Yeah sadly Steam only has options for Always Update, or Update on Launch.

Is this only for KSP?

I havent checked the auto-update tab for KSP in steam because I make it a habit of doing a backup of the whole KSP folder everyday (lost it once, shame on them, etc.) but there is usually an option to disable updates from downloading outright.

Link to post
Share on other sites
Is this only for KSP?

I havent checked the auto-update tab for KSP in steam because I make it a habit of doing a backup of the whole KSP folder everyday (lost it once, shame on them, etc.) but there is usually an option to disable updates from downloading outright.

when you right click your KSP on you game list

yeah its under properties, updates tab, under the automatic updates you can select the drop-down that you'd like to use.

Link to post
Share on other sites

I Have had no trouble with a RECOMPILED KAS on 0.25 (linux). KospY is aware of the need to recompile (I told him) and is likely updating KSP and testing.

Crazy emphasis because too many people just don't read :P.

Link to post
Share on other sites
The compatibility checker that pops up right as the main menu shows up doesn't necessarily mean much. The game's just checking the version of the game that the mod said it was compatible with when it was released. It's entirely possible that the mod will function fine with the new version of KSP, it's just giving you a heads up that it might not.

Alright, thanks. I did note as I got into the game that the KAS parts were still present in the VAB and SPH; I did not, however, attempt to use any KAS parts in that initial run. If there's still a question of whether or not KSP is just being KSP this evening, I'll do a more thorough test. Running the game in Win7 if that's at all helpful.

Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...